cascading.flow.stream.duct

## Class OpenReducingDuct<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Grouping<Incoming,java.util.Iterator<Incoming>>,Outgoing>
  - - cascading.flow.stream.duct.OpenReducingDuct<Incoming,Outgoing>

All Implemented Interfaces:
  OpenWindow

    public class OpenReducingDuct<Incoming,Outgoing>
    extends Duct<Grouping<Incoming,java.util.Iterator<Incoming>>,Outgoing>
    implements OpenWindow

### Field Summary

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`OpenReducingDuct(Duct<Outgoing,?> next)`

### Method Summary

Methods
`void` `receive(Duct previous, int ordinal, Grouping<Incoming,java.util.Iterator<Incoming>> grouping)`

### Methods inherited from class cascading.flow.stream.duct.Duct

`bind, cleanup, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OpenReducingDuct

    public OpenReducingDuct(Duct<Outgoing,?> next)

### Method Detail

#### receive

    public void receive(Duct previous,
               int ordinal,
               Grouping<Incoming,java.util.Iterator<Incoming>> grouping)

Specified by:
  `receive` in class `Duct<Grouping<Incoming,java.util.Iterator<Incoming>>,Outgoing>`